## libgetopt-java 1.0.14+dfsg

=== gnu/getopt/Makefile ===
# Makefile for Java port of GNU getopt

all: 
	javac LongOpt.java Getopt.java GetoptDemo.java

docs: 
	javadoc -author -version -public Getopt.java LongOpt.java

## libgetopt-java 1.0.13

=== debian/changelog ===
libgetopt-java (1.0.13-4) unstable; urgency=low

  * Added build-arch and build-indep targets.
  * Bumped Standards-Versions to 3.9.2 - no changes required.
  * Compile javadoc during build instead of using the prebuilt one.
    - Link javadoc against the system javadoc
  * Split the javadoc to a separate package.
    - New location: /usr/share/doc/libgetopt-java-doc/api
  * Bumped debhelper compat 8.

 -- Niels Thykier <niels@thykier.net>  Fri, 28 Oct 2011 20:36:40 +0200

libgetopt-java (1.0.13-3) unstable; urgency=low

  * Team upload.
  * Remove Java runtime from Depends.
  * Remove Arnaud from Uploaders list.
  * Switch to source format 3.0.
  * Update Standards-Version: 3.9.1.

 -- Torsten Werner <twerner@debian.org>  Fri, 02 Sep 2011 22:47:02 +0200

libgetopt-java (1.0.13-2) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * Fix debian/watch

  [ Gabriele Giacone ]
  * Added maven support
  * Standards-Version to 3.8.4

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Wed, 10 Feb 2010 23:14:44 +0100

libgetopt-java (1.0.13-1) unstable; urgency=low

  * New upstream release.
  * Lower Depends to default-jre-headless from default-jdk.
  * Made debian/rules determine the upstream version automatically.
  * Corrected LGPL to LGPL-2 in debian/copyright.
  * Added Homepage and Vcs-* fields to debian/control.

 -- Niels Thykier <niels@thykier.net>  Sun, 20 Sep 2009 17:47:57 +0200

libgetopt-java (1.0.11-3) unstable; urgency=low

  * (Build-)Depends on default-jdk.
  * Build-Depends on debhelper >= 7.
  * Use dh_prep instead of dh_clean -k.
  * Clarified debian/copyright.
  * Moved package to section 'java'
  * Moved Build-Depends-Indep to Build-Depends.
  * Let package Depends on ${misc:Depends}.
  * Clarified debian/copyright.
  * Removed Wolfgang and added myself to uploaders.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Tue, 15 Sep 2009 08:13:13 +0200

libgetopt-java (1.0.11-2) unstable; urgency=low

  * Removed Takashi Okamoto from the uploaders (closes: #352986).
  * Added myself as an uploader.

 -- Arnaud Vandyck <avdyk@debian.org>  Mon, 24 Apr 2006 22:11:17 +0200

libgetopt-java (1.0.11-1) unstable; urgency=low

  * New upstream release
  * Transfer maintainership to pkg-java maintainers
  * Removed old jar link to gnu.getopt.jar
  * /usr/doc/ ->  /usr/share/doc transition
  * Added compat file
  * Remove useless README.Debian
  * Install docs only once
  * Standards-Version 3.6.2
  * Added myself to uploaders

 -- Wolfgang Baer <WBaer@gmx.de>  Fri, 14 Oct 2005 16:26:24 +0200

libgetopt-java (1.0.9-8) unstable; urgency=low

  * fixed FTBFS bugs.(closes: #172873)
  * rename gnu.getopt.jar to gnu-getopt.jar.

 -- Takashi Okamoto <tora@debian.org>  Sat,  8 Feb 2003 09:43:58 +0900

libgetopt-java (1.0.9-7) unstable; urgency=low

  * fixed replace doesn't work correctly.
  * fixed invalid jar size already.(closes: #165013)

 -- Takashi Okamoto <tora@debian.org>  Sun, 29 Dec 2002 10:00:03 +0900

libgetopt-java (1.0.9-6) unstable; urgency=low

  * modify denends field for new Java Policy.

 -- Takashi Okamoto <tora@debian.org>  Sun, 29 Dec 2002 09:54:17 +0900

libgetopt-java (1.0.9-5) unstable; urgency=low

  * fixed FTBFS again.

 -- Takashi Okamoto <tora@debian.org>  Sun, 29 Dec 2002 09:43:28 +0900

libgetopt-java (1.0.9-4) unstable; urgency=low

  * rename the package name for Java Policy and make more simple.
  * fixed FTBFS.(closes: #172873)

 -- Takashi Okamoto <tora@debian.org>  Sun, 29 Dec 2002 09:09:59 +0900

lib-gnu.getopt-java (1.0.9-3) unstable; urgency=low

  * Fixed jar is null bug. (closes: #164071)

 -- Takashi Okamoto <tora@debian.org>  Wed, 16 Oct 2002 23:55:55 +0900

lib-gnu.getopt-java (1.0.9-1) unstable; urgency=low

  * New upstream release.
  * add dependency for jikes and kaffe.(Closes: #133733)
  * remove class files from obsolete directory /usr/share/java/repository.
  * remove GetoptDemo class from jar.

 -- Takashi Okamoto <tora@debian.org>  Sat, 16 Feb 2002 13:24:24 +0900

lib-gnu.getopt-java (1.0.8-1) unstable; urgency=low

  * New maintainer.
  * New upstream relase.

 -- Takashi Okamoto <tora@debian.org>  Mon, 13 Aug 2001 01:05:51 +0900

lib-gnu.getopt-java (1.0.6-1) unstable; urgency=low

  * New upstream release

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Tue, 29 Jun 1999 11:51:24 +0200

lib-gnu.getopt-java (1.0.5-1) unstable; urgency=low

  * Initial Release.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Fri, 25 Jun 1999 14:16:14 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libgetopt-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Niels Thykier <niels@thykier.net>
Build-Depends: debhelper (>= 8), default-jdk, default-jdk-doc, javahelper (>= 0.33~),
               maven-repo-helper
Standards-Version: 3.9.2
Homepage: http://www.urbanophile.com/arenn/hacking/download.html
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libgetopt-java
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libgetopt-java

Package: libgetopt-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Recommends: ${java:Recommends}
Suggests: default-jdk-doc
Description: GNU getopt - Java port
 The GNU Java getopt classes support short and long argument parsing 
 in a manner 100% compatible with the version of GNU getopt in glibc 
 2.0.6 with a mostly compatible programmer's interface as well. Note that 
 this is a port, not a new implementation.

Package: libgetopt-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${java:Depends}
Recommends: ${java:Recommends}
Description: GNU getopt - Java port (doc)
 The GNU Java getopt classes support short and long argument parsing 
 in a manner 100% compatible with the version of GNU getopt in glibc 
 2.0.6 with a mostly compatible programmer's interface as well. Note that 
 this is a port, not a new implementation.
 .
 This package contains the Java Programming API docs.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LIBRARY=gnu-getopt.jar
export VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -f 2 -d " " | sed "s/-[^-]$$//")
export JAVA_HOME=/usr/lib/jvm/default-java
export JAVA=$(JAVA_HOME)/bin/java
export JAR=$(JAVA_HOME)/bin/jar
export JAVAC=$(JAVA_HOME)/bin/javac
export CLASSPATH=$(JAVA_HOME)/jre/lib/rt.jar:.

build: build-arch build-indep

build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	mkdir  classes
	${JAVAC} -target 1.3 -source 1.3 -d classes -classpath ${CLASSPATH} gnu/getopt/*.java
	cp gnu/getopt/*.properties classes/gnu/getopt
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -fr classes api
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	(cd classes; ${JAR} cvf ../gnu-getopt.jar gnu)
	javadoc -link /usr/share/doc/default-jdk-doc/api -d api/ gnu/getopt/*.java
	# Remove the javadoc of the example
	[ ! -f api/GetoptDemo.html ] || rm -f api/GetoptDemo.html


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs gnu/getopt/README
	dh_installexamples gnu/getopt/GetoptDemo.java
	dh_installchangelogs gnu/getopt/ChangeLog
	# maven
	mh_installpom -plibgetopt-java $(CURDIR)/debian/pom.xml
	mh_installjar -plibgetopt-java -ngnu-getopt -l $(CURDIR)/debian/pom.xml \
		$(CURDIR)/gnu-getopt.jar
	jh_installjavadoc
	jh_depends
	dh_compress	
	dh_link
	dh_installdeb
	dh_gencontrol
	dh_fixperms
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.urbanophile.com/arenn/hacking/getopt/ \
       java-getopt-([\d.]+)\.tar\.gz

## libgetopt-java 1.0.14%2Bdfsg

=== debian/changelog ===
libgetopt-java (1.0.14+dfsg-2+dyson1) unstable; urgency=low

  * Package for Dyson

 -- Igor Pashev <pashev.igor@gmail.com>  Fri, 29 Nov 2013 15:08:04 +0400

libgetopt-java (1.0.14+dfsg-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Wed, 15 May 2013 21:58:50 -0700

libgetopt-java (1.0.14+dfsg-1) experimental; urgency=low

  * New upstream release.
    - Repackage the tarball and remove pre-built class and html files.
  * Bump compat level to 9 and require debhelper >=9.
  * debian/control:
    - Add myself to Uploaders.
    - Remove Michael Koch from Uploaders because he is inactive.
      (Closes: #654063)
    - Remove Niels Thykier from Uploaders on his own request.
    - Add versioned dependency for maven-repo-helper.
    - Bump Standards-Version to 3.9.4, no changes necessary.
    - Use canonical Vcs-URI.
    - Move default-jdk and default-jdk-doc build dependencies to
      Build-Depends-Indep because both are only needed for arch-independent
      packages.
    - libgetopt-java: Suggest libgetopt-java-doc instead of default-jdk-doc.
    - libgetopt-java: Remove ${java:Depends} variable to avoid a dependency on
      openjdk-6-jre-headless which is not desired. See also lintian tag
      "needless-dependency-on-jre".
  * debian/rules:
    - Simplify debian/rules by using dh sequencer.
    - Use javahelper and jh_maven_repo_helper plugin.
    - Add get-orig-source target.
  * Update debian/copyright to copyright format 1.0.
  * Add libgetopt-java.jlibs and libgetopt-java.poms file. Use these files to
    install the jar file and all maven related information.
  * Update debian/pom.xml.
  * Rename README.Debian-source to README.source and update the file.
  * Drop dirs file. It is no longer needed.
  * Install the README via docs file.
  * Improve the watch file thus it can detect the latest upstream release.

 -- Markus Koschany <apo@gambaru.de>  Mon, 08 Apr 2013 16:49:50 +0200

## libgetopt-java 1.0.14+dfsg

=== debian/changelog ===
libgetopt-java (1.0.14+dfsg-4) unstable; urgency=medium

  [ Chris West (Faux) ]
  * update -source and -target to be java 9 compatible

  [ Markus Koschany ]
  * Build only the relevant javadocs and exclude GetoptDemo.java.
    This will prevent a build failure with OpenJDK 9.
  * Switch to compat level 10.
  * Use https for Vcs and Format fields.
  * Update copyright years.
  * Declare compliance with Debian Policy 4.1.1.
  * Remove some unnecessary variables from debian/rules.

 -- Markus Koschany <apo@debian.org>  Sun, 08 Oct 2017 22:15:46 +0200

libgetopt-java (1.0.14+dfsg-3) unstable; urgency=medium

  * Moved the package to Git.
  * Update my e-mail address.
  * Declare compliance with Debian Policy 3.9.6.
  * Use only Build-Depends field for declaring build dependencies.

 -- Markus Koschany <apo@debian.org>  Fri, 27 Nov 2015 23:05:32 +0100

=== debian/control ===
Source: libgetopt-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper (>= 10),
 default-jdk,
 default-jdk-doc,
 javahelper (>= 0.33~),
 maven-repo-helper (>= 1.6~)
Standards-Version: 4.1.1
Homepage: http://www.urbanophile.com/arenn/hacking/download.html
Vcs-Git: https://anonscm.debian.org/git/pkg-java/libgetopt-java.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libgetopt-java.git

Package: libgetopt-java
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 ${java:Recommends}
Suggests:
 libgetopt-java-doc
Description: GNU getopt - Java port
 The GNU Java getopt classes support short and long argument parsing
 in a manner 100% compatible with the version of GNU getopt in glibc
 2.0.6 with a mostly compatible programmer's interface as well. Note that
 this is a port, not a new implementation.

Package: libgetopt-java-doc
Architecture: all
Section: doc
Depends:
 ${java:Depends},
 ${misc:Depends}
Recommends:
 ${java:Recommends}
Description: GNU getopt - Java port (doc)
 The GNU Java getopt classes support short and long argument parsing
 in a manner 100% compatible with the version of GNU getopt in glibc
 2.0.6 with a mostly compatible programmer's interface as well. Note that
 this is a port, not a new implementation.
 .
 This package contains the Java Programming API docs.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
DTYPE := +dfsg
PKG := libgetopt-java
VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{Version:\s*(\d[\d\.]+)}')

export JAVA_HOME=/usr/lib/jvm/default-java
export JAR=$(JAVA_HOME)/bin/jar
export JAVAC=$(JAVA_HOME)/bin/javac
export CLASSPATH=$(JAVA_HOME)/jre/lib/rt.jar:.

%:
	dh $@ --with javahelper --with jh_maven_repo_helper

override_dh_auto_build:
	[ -f $(CURDIR)/GetoptDemo.java ] || mv $(CURDIR)/gnu/getopt/GetoptDemo.java .
	mkdir -p $(CURDIR)/classes
	${JAVAC} -target 1.8 -source 1.8 -d classes -classpath ${CLASSPATH} gnu/getopt/*.java
	cp $(CURDIR)/gnu/getopt/*.properties $(CURDIR)/classes/gnu/getopt
	cd $(CURDIR)/classes; ${JAR} cvf ../gnu-getopt.jar gnu
	javadoc -link /usr/share/doc/default-jdk-doc/api -d api/ gnu/getopt/Getopt.java gnu/getopt/LongOpt.java

override_dh_installexamples:
	dh_installexamples GetoptDemo.java

override_dh_installchangelogs:
	dh_installchangelogs gnu/getopt/ChangeLog

override_dh_clean:
	dh_clean
	$(RM) -r $(CURDIR)/classes $(CURDIR)/api
	[ -f $(CURDIR)/gnu/getopt/GetoptDemo.java ] || mv $(CURDIR)/GetoptDemo.java $(CURDIR)/gnu/getopt/

.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.gz
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.gz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(DPATH)
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	&& tar xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 0 \
	|| $(RM) -r $(PKG)-$(VER)
	@echo "# Clean-up..."
	cd $(PKG)-$(VER) \
	&& $(RM) -r -v \
		gnu/getopt/*.html \
		gnu/getopt/*.class
	@echo "# Packing..."
	tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.gz" "$(PKG)-$(VER)" \
	&& $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
http://www.urbanophile.com/arenn/hacking/download.html \
    getopt/java-getopt-([\d\.]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
